package com.persagy.dptool.dialog;

import com.persagy.dptool.ConstantData;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;


public class HelpDialog extends Stage {
    public HelpDialog(double x, double y) {
        StringBuilder msg = new StringBuilder("功能说明：\n\n");
        msg.append(" 1. 离线校验数据平台config.properties文件配置，本地数据字典配置；\n");
        msg.append(" 2. 离线检查指定项目的物理世界数据。\n\n\n");

        msg.append("错误码说明：\n\n");
        for(String code : ConstantData.errorCodeName.keySet()) {
            msg.append(" " + code + ": " + ConstantData.errorCodeName.get(code) + "; \n");
        }

        Label label = new Label(msg.toString());
        label.setLayoutX(20); label.setLayoutY(20);

        Pane pane = new Pane();
        pane.getChildren().addAll(label);

        Scene scene = new Scene(pane, 560, 320);
        setScene(scene);
        setTitle("Help");
        setResizable(false);
        initStyle(StageStyle.UTILITY);
        initModality(Modality.APPLICATION_MODAL);
        setX(x); setY(y);
    }
}
