package com.persagy.dptool.dialog;

import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;


public class MessageDialog extends Stage {
    public MessageDialog(String title, String msg, int width, int heigt, double x, double y) {
        Label label = new Label(msg);
        label.setLayoutX(20); label.setLayoutY(20);
        Pane pane = new Pane();
        pane.getChildren().add(label);

        Scene scene = new Scene(pane, width, heigt);
        setScene(scene);
        setTitle(title);
        setResizable(false);
        initStyle(StageStyle.UTILITY);
        initModality(Modality.APPLICATION_MODAL);
        setX(x); setY(y);
    }
}
