package com.persagy.dptool.dto;

import java.util.Set;

public class PhysicalObject {
    /** 数据平台服务地址 */
    public String dataPlatformUrl;
    /** 项目id，包含Pj前缀 */
    public String projectId;
    /** 项目id，不含Pj前缀 */
    public String pjId;
    /** 对象id集合, 默认值为null */
    public Set<String> objIdSet;
    /** 图实例id集合，默认为null */
    public Set<String> graphIdSet;
    /** 存在period的图实例id集合，默认为null */
    public Set<String> graphIdPeriodSet;
    /** 自定义信息點方案id集合 */
    public Set<String> infoCodeSchemeIdSet;
    /** 用户自定义字典方案id集合 */
    public Set<String> ctmDicIdSet;

    public PhysicalObject(String projectId, String pjId) {
        this.projectId = projectId;
        this.pjId = pjId;
    }

}
