package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class CtmDictFollower extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false, existCtmDictId = true)
    private String dict_id;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getDict_id() {
        return dict_id;
    }

    public void setDict_id(String dict_id) {
        this.dict_id = dict_id;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", dict_id='" + dict_id + '\'' +
                '}';
    }
}
