package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class CtmNode extends PhysicalWorld {
    @FieldCheck(canBeNull = false, existCtmDictId = true)
    private String dict_id;
    @FieldCheck(canBeNull = false, existCtmDictNodeType = true)
    private String type;
    @FieldCheck(canBeNull = false)
    private String code;
    @FieldCheck(canBeNull = false)
    private String name;
    private String parent;
    private String ref;
    private String family;

    public String getDict_id() {
        return dict_id;
    }

    public void setDict_id(String dict_id) {
        this.dict_id = dict_id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public String getRef() {
        return ref;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getFamily() {
        return family;
    }

    public void setFamily(String family) {
        this.family = family;
    }

    @Override
    public String toString() {
        return "{" +
                "dict_id='" + dict_id + '\'' +
                ", type='" + type + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                "..." +
                '}';
    }
}
