package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class InfocodeSchemeDetail extends PhysicalWorld {
    @FieldCheck(canBeNull = false, existInfoCodeSchemeId = true)
    private String scheme_id;
    @FieldCheck(canBeNull = false)
    private String obj_type;
    @FieldCheck(canBeNull = false)
    private String first_tag;
    private String second_tag;
    @FieldCheck(canBeNull = false)
    private String info_point_code;
    private String info_point_name;
    private String unit;
    private String data_type;
    private String input_mode;
    private String data_source;
    private String note;
    private String func_id;

    public String getScheme_id() {
        return scheme_id;
    }

    public void setScheme_id(String scheme_id) {
        this.scheme_id = scheme_id;
    }

    public String getObj_type() {
        return obj_type;
    }

    public void setObj_type(String obj_type) {
        this.obj_type = obj_type;
    }

    public String getFirst_tag() {
        return first_tag;
    }

    public void setFirst_tag(String first_tag) {
        this.first_tag = first_tag;
    }

    public String getSecond_tag() {
        return second_tag;
    }

    public void setSecond_tag(String second_tag) {
        this.second_tag = second_tag;
    }

    public String getInfo_point_code() {
        return info_point_code;
    }

    public void setInfo_point_code(String info_point_code) {
        this.info_point_code = info_point_code;
    }

    public String getInfo_point_name() {
        return info_point_name;
    }

    public void setInfo_point_name(String info_point_name) {
        this.info_point_name = info_point_name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getData_type() {
        return data_type;
    }

    public void setData_type(String data_type) {
        this.data_type = data_type;
    }

    public String getInput_mode() {
        return input_mode;
    }

    public void setInput_mode(String input_mode) {
        this.input_mode = input_mode;
    }

    public String getData_source() {
        return data_source;
    }

    public void setData_source(String data_source) {
        this.data_source = data_source;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getFunc_id() {
        return func_id;
    }

    public void setFunc_id(String func_id) {
        this.func_id = func_id;
    }

    @Override
    public String toString() {
        return "{" +
                "scheme_id='" + scheme_id + '\'' +
                ", obj_type='" + obj_type + '\'' +
                ", first_tag='" + first_tag + '\'' +
                ", info_point_code='" + info_point_code + '\'' +
                "..." +
                '}';
    }
}
