package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class InfocodeSchemeFollower extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false, existInfoCodeSchemeId = true)
    private String scheme_id;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getScheme_id() {
        return scheme_id;
    }

    public void setScheme_id(String scheme_id) {
        this.scheme_id = scheme_id;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", scheme_id='" + scheme_id + '\'' +
                '}';
    }
}
