package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class RelBtwObjs extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false, existGraphId = true)
    private String graph_id;
    @FieldCheck(canBeNull = false)
    private String rel_type;
    @FieldCheck(canBeNull = false)
    private String from_obj_type;
    @FieldCheck(canBeNull = false, existObj = true)
    private String from_obj_id;
    @FieldCheck(canBeNull = false)
    private String to_obj_type;
    @FieldCheck(canBeNull = false, existObj = true)
    private String to_obj_id;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getGraph_id() {
        return graph_id;
    }

    public void setGraph_id(String graph_id) {
        this.graph_id = graph_id;
    }

    public String getRel_type() {
        return rel_type;
    }

    public void setRel_type(String rel_type) {
        this.rel_type = rel_type;
    }

    public String getFrom_obj_type() {
        return from_obj_type;
    }

    public void setFrom_obj_type(String from_obj_type) {
        this.from_obj_type = from_obj_type;
    }

    public String getFrom_obj_id() {
        return from_obj_id;
    }

    public void setFrom_obj_id(String from_obj_id) {
        this.from_obj_id = from_obj_id;
    }

    public String getTo_obj_type() {
        return to_obj_type;
    }

    public void setTo_obj_type(String to_obj_type) {
        this.to_obj_type = to_obj_type;
    }

    public String getTo_obj_id() {
        return to_obj_id;
    }

    public void setTo_obj_id(String to_obj_id) {
        this.to_obj_id = to_obj_id;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", graph_id='" + graph_id + '\'' +
                ", rel_type='" + rel_type + '\'' +
                ", from_obj_type='" + from_obj_type + '\'' +
                ", from_obj_id='" + from_obj_id + '\'' +
                "..." +
                '}';
    }
}
