package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class InfocodeScheme extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 32)
    private String scheme_id;
    @FieldCheck(canBeNull = false)
    private String scheme_name;
    private String note;

    public String getScheme_id() {
        return scheme_id;
    }

    public void setScheme_id(String scheme_id) {
        this.scheme_id = scheme_id;
    }

    public String getScheme_name() {
        return scheme_name;
    }

    public void setScheme_name(String scheme_name) {
        this.scheme_name = scheme_name;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    public String toString() {
        return "{" +
                "scheme_id='" + scheme_id + '\'' +
                ", scheme_name='" + scheme_name + '\'' +
                ", note='" + note + '\'' +
                '}';
    }
}
