package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class ObjectInfo extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false)
    private String obj_type;
    @FieldCheck(canBeNull = false, length = 32, existObj = true)
    private String obj_id;
    @FieldCheck(canBeNull = false)
    private String info_id;
    @FieldCheck(canBeNull = false, length = 14)
    private String time;
    private Boolean b_value;
    private Long l_value;
    private String s_value;
    private Double d_value;
    private String json_value;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getObj_type() {
        return obj_type;
    }

    public void setObj_type(String obj_type) {
        this.obj_type = obj_type;
    }

    public String getObj_id() {
        return obj_id;
    }

    public void setObj_id(String obj_id) {
        this.obj_id = obj_id;
    }

    public String getInfo_id() {
        return info_id;
    }

    public void setInfo_id(String info_id) {
        this.info_id = info_id;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public Boolean getB_value() {
        return b_value;
    }

    public void setB_value(Boolean b_value) {
        this.b_value = b_value;
    }

    public Long getL_value() {
        return l_value;
    }

    public void setL_value(Long l_value) {
        this.l_value = l_value;
    }

    public String getS_value() {
        return s_value;
    }

    public void setS_value(String s_value) {
        this.s_value = s_value;
    }

    public Double getD_value() {
        return d_value;
    }

    public void setD_value(Double d_value) {
        this.d_value = d_value;
    }

    public String getJson_value() {
        return json_value;
    }

    public void setJson_value(String json_value) {
        this.json_value = json_value;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", obj_type='" + obj_type + '\'' +
                ", obj_id='" + obj_id + '\'' +
                ", info_id='" + info_id + '\'' +
                ", time='" + time + '\'' +
                "..." +
                '}';
    }
}
