package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class Objects extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false)
    private String obj_type;
    @FieldCheck(canBeNull = false, uniq = true, length = 32)
    private String obj_id;
    private String subtype;
    @FieldCheck(length = 14)
    private String ctime;
    private String dtime;
    @FieldCheck(canBeNull = false)
    private Boolean valid;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getObj_type() {
        return obj_type;
    }

    public void setObj_type(String obj_type) {
        this.obj_type = obj_type;
    }

    public String getObj_id() {
        return obj_id;
    }

    public void setObj_id(String obj_id) {
        this.obj_id = obj_id;
    }

    public String getSubtype() {
        return subtype;
    }

    public void setSubtype(String subtype) {
        this.subtype = subtype;
    }

    public String getCtime() {
        return ctime;
    }

    public void setCtime(String ctime) {
        this.ctime = ctime;
    }

    public String getDtime() {
        return dtime;
    }

    public void setDtime(String dtime) {
        this.dtime = dtime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", obj_type='" + obj_type + '\'' +
                ", obj_id='" + obj_id + '\'' +
                ", valid=" + valid +
                "..." +
                '}';
    }
}
