package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class Project extends PhysicalWorld{
    @FieldCheck(canBeNull = false, uniq = true, length = 10)
    private String project_id;
    @FieldCheck
    private String password;
    @FieldCheck(length = 14)
    private String ctime;
    private String dtime;
    @FieldCheck(canBeNull = false)
    private Boolean valid;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCtime() {
        return ctime;
    }

    public void setCtime(String ctime) {
        this.ctime = ctime;
    }

    public String getDtime() {
        return dtime;
    }

    public void setDtime(String dtime) {
        this.dtime = dtime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", password='" + password + '\'' +
                ", ctime='" + ctime + '\'' +
                ", dtime='" + dtime + '\'' +
                ", valid=" + valid +
                '}';
    }
}
