package com.persagy.dptool.dto.physical;

import com.persagy.dptool.annotation.FieldCheck;

public class RelBtwGraphPeriod extends PhysicalWorld {
    @FieldCheck(canBeNull = false, length = 10)
    private String project_id;
    @FieldCheck(canBeNull = false)
    private String graph_type;
    @FieldCheck(canBeNull = false, length = 3)
    private String sequence_id;
    @FieldCheck(canBeNull = false, length = 14)
    private String begin_time;
    @FieldCheck(canBeNull = false, length = 14)
    private String end_time;
    private String obj_type;
    private String obj_id;

    public String getProject_id() {
        return project_id;
    }

    public void setProject_id(String project_id) {
        this.project_id = project_id;
    }

    public String getGraph_type() {
        return graph_type;
    }

    public void setGraph_type(String graph_type) {
        this.graph_type = graph_type;
    }

    public String getSequence_id() {
        return sequence_id;
    }

    public void setSequence_id(String sequence_id) {
        this.sequence_id = sequence_id;
    }

    public String getBegin_time() {
        return begin_time;
    }

    public void setBegin_time(String begin_time) {
        this.begin_time = begin_time;
    }

    public String getEnd_time() {
        return end_time;
    }

    public void setEnd_time(String end_time) {
        this.end_time = end_time;
    }

    public String getObj_type() {
        return obj_type;
    }

    public void setObj_type(String obj_type) {
        this.obj_type = obj_type;
    }

    public String getObj_id() {
        return obj_id;
    }

    public void setObj_id(String obj_id) {
        this.obj_id = obj_id;
    }

    @Override
    public String toString() {
        return "{" +
                "project_id='" + project_id + '\'' +
                ", graph_type='" + graph_type + '\'' +
                ", sequence_id='" + sequence_id + '\'' +
                ", begin_time='" + begin_time + '\'' +
                ", end_time='" + end_time + '\'' +
                '}';
    }
}
